.product-img {
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
}

.product-img img {
    max-height: 100%;
}

.page-wrap {
    margin: 12px 0 0;
}

.page-wrap-row {
    margin: 0 -8px;
}

.page-wrap-sidebar {
    -ms-flex: 0 0 21.217%;
    flex: 0 0 21.217%;
    max-width: 21.217%;
    padding: 0 8px;
}

.page-wrap-content {
    -ms-flex: 0 0 78.783%;
    flex: 0 0 78.783%;
    max-width: 78.783%;
    padding: 0 8px;
}

.page-content-header {
    margin: 16px 0 0;
}

.page-content-left {
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    min-height: 50px;
    border-top: 1px solid #E8E8E8;
    border-bottom: 1px solid #E8E8E8;
}

.category-text {
    font-size: 16px;
    line-height: 19px;
    color: #333;
}

.page-title {
    margin: 0;
    font-size: 16px;
    line-height: 19px;
    color: #333;
    font-weight: 700;
    display: inline;
}

.page-content-right {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
    min-height: 50px;
    border-top: 1px solid #E8E8E8;
    border-bottom: 1px solid #E8E8E8;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
}

.page-content-right::before {
    content: '';
    display: block;
    position: relative;
    left: 12px;
    height: 100%;
    width: 0;
    border-left: 1px solid #E8E8E8;
    margin: 0 35px 0 0;
}

.category-sort-wrap {
    position: relative;
    z-index: 0;
}

.category-sort-wrap::before {
    content: '';
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #666;
    display: block;
    position: absolute;
    top: 50%;
    right: 9px;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.category-sort {
    height: 40px;
    border: 0;
    padding: 0 30px 0 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    font-size: 14px;
    font-weight: 400;
    z-index: 1;
    background: transparent none;
}

.page-content-wrap.product-list {
    margin: 16px 0 0;
}

.product-list ul.row {
    margin: -16px -8px 0;
}

.product-list li.product-item {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
    padding: 0 8px;
    margin: 16px 0 0;
    height: 346px;
}

.product-item a {
    display: block;
    border: 1px solid #BDBDBD;
    background: #FFF none;
    padding: 16px 16px 0;
    position: relative;
    height: 346px;
    overflow: hidden;
}

.product-item:hover a {
    z-index: 99;
    height: auto;
    border: 1px solid #0066CC;
    -webkit-box-shadow: 4px 4px 4px rgba(0, 0, 0, .15);
    box-shadow: 4px 4px 4px rgba(0, 0, 0, .15);
}

.product-item .product-img {
    height: 160px;
    padding: 5px;
}

.offer-icon {
    background: #1A7900 none;
    width: 70px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 0 12px 12px 0;
    font-size: 14px;
    line-height: 16px;
    padding: 4px 0 5px;
    color: #FFF;
    text-align: center;
    z-index: 1;
}

.gift-icon {
    display: block;
    position: absolute;
    top: 4px;
    right: 4px;
    border-radius: 50%;
    z-index: 1;
}

.gift-icon img {
    border-radius: 50%;
}

.product-action {
    background: #0066CC none;
    font-size: 14px;
    line-height: 16px;
    color: #fff;
    display: block;
    margin: 0 30px;
    padding: 8px 0;
    text-align: center;
    border-radius: 3px;
    opacity: 0;
    font-weight: 400;
}

.product-item:hover .product-action {
    opacity: 1;
}

.product-item h3 {
    font-size: 13px;
    line-height: 15px;
    color: #666;
    margin: 8px 0 0;
    font-weight: 400;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 30px;
}

.product-meta {
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    margin: 10px 0 0;
}

.product-price {
    font-size: 15px;
    line-height: 18px;
    display: block;
    color: #DE1F1F;
}

.product-percent {
    display: block;
    font-size: 14px;
    line-height: 16px;
    color: #333;
    margin: 0 0 0 8px;
}

.product-shipping {
    padding: 0 0 0 20px;
    font-size: 13px;
    line-height: 15px;
    display: block;
    position: relative;
    margin: 3px 0 0;
}

.product-shipping i {
    position: absolute;
    top: 1px;
    left: 0;
}

.product-bottom {
    margin: 6px -16px 0;
    border-top: 1px solid #BDBDBD;
    padding: 8px;
    align-items: center;
}

.product-store {
    -ms-flex: 0 0 55%;
    flex: 0 0 55%;
    max-width: 55%;
    padding: 0 6px;
    font-size: 13px;
    line-height: 15px;
    color: #333;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 30px;
}

.product-store.row-full {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
}

.product-store-logo {
    -ms-flex: 0 0 45%;
    flex: 0 0 45%;
    max-width: 45%;
    padding: 0 6px;
    display: block;
    line-height: 0;
}

.product-store-logo img {
    max-height: 30px;
}

.bad-merchant-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(238, 238, 238, .9) none;
    font-weight: 500;
    font-size: 13px;
    line-height: 15px;
    color: #DE1F1F;
    text-align: center;
    padding: 16px;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    opacity: 0;
}

.product-item:hover .bad-merchant .product-action {
    opacity: 0;
}

.product-item:hover .bad-merchant .bad-merchant-text {
    opacity: 1;
}

.product-item a.product-price-waring {
    overflow: visible;
}

.price-waring {
    position: relative;
    margin: 0 5px 0 0;
    display: block;
    line-height: 0;
}

.price-waring-text {
    position: absolute;
    padding: 12px;
    background: #333 none;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, .15), -4px 0 4px rgba(0, 0, 0, .15);
    font-size: 13px;
    line-height: 15px;
    color: #FFF;
    min-width: 260px;
    right: -160px;
    bottom: 32px;
    display: none;
}

.price-waring-text::after {
    content: '';
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 12px solid #333;
    position: absolute;
    bottom: -11px;
    right: 159px;
}

.price-waring:hover .price-waring-text {
    display: block;
}

.category-description {
    margin: 32px 0 0;
    border: 1px solid #A3A3A3;
    padding: 24px;
}

.category-description-wrap {
    max-height: 312px;
    overflow: hidden;
}

.category-description-wrap.active {
    max-height: none;
}

.category-description-wrap p {
    margin: 0 0 15px;
}

.category-description-wrap p:last-child {
    margin: 0;
}

.category-description-wrap ul {
    margin: 0 0 10px;
    padding: 0 0 0 15px;
}

.category-description-wrap ul:last-child {
    margin: 0;
}

.category-description-wrap li {
    margin: 0 0 10px;
}

.category-description-wrap li:last-child {
    margin: 0;
}

.read-more {
    margin: 15px 0 0;
    text-align: center;
}

.read-more span {
    font-size: 16px;
    line-height: 19px;
    padding: 11px 20px 10px;
    display: inline-block;
    color: #FFF;
    background: #1A7900 none;
    border-radius: 4px;
    cursor: pointer;
}

.toc-wrap {
    border: 1px solid #aaa;
    background: #f9f9f9 none;
    padding: 10px;
    margin: 0 0 20px;
    overflow: hidden;
}

.toc-wrap h4 {
    font-size: 15px;
    margin: 0;
    font-weight: 700;
    padding: 0;
    color: #666;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
}

.toc-wrap h4 span {
    padding: 0 0 0 10px;
    font-size: 13px;
    cursor: pointer;
    line-height: 15px;
    font-weight: 400;
}

.toc-wrap h4 span:hover {
    color: #207BC1;
}

.toc-wrap ul {
    list-style-type: square;
    margin: 10px 0 0;
    display: none;
}

.toc-wrap ul li {
    margin: 0 0 5px;
    font-size: 13px;
    color: #207BC1;
}

.toc-wrap ul li:last-child {
    margin: 0;
}

.toc-wrap ul li a {
    font-size: 13px;
    color: #333;
}